ObjectInspector (Groovy 5.0.8)

Package: org.apache.groovy.groovysh.jline

## [Groovy] Class ObjectInspector

- org.apache.groovy.groovysh.jline.ObjectInspector

-     class ObjectInspector
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `FIELD_MODIFIERS` |
    `static String` | `FIELD_NAME` |
    `static String` | `FIELD_PARAMETERS` |
    `static String` | `FIELD_RETURN` |
    `static List<String>` | `GLOBAL_META_METHODS` |
    `static List<String>` | `METHOD_COLUMNS` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `inspector`
    `Object` | `obj`
    `Object` | `types`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ObjectInspector(Object obj)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<Map<String, String>>` | `metaMethods()`
    `` | `List<Map<String, String>>` | `metaMethods(boolean includeOperatorMethods)`
    `` | `List<Map<String, String>>` | `methods()`
    `` | `Object` | `properties()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final String FIELD_MODIFIERS

    - #### public static final String FIELD_NAME

    - #### public static final String FIELD_PARAMETERS

    - #### public static final String FIELD_RETURN

    - #### public static final List<String> GLOBAL_META_METHODS

    - #### public static final List<String> METHOD_COLUMNS

  - ### Property Detail

    - #### Object inspector

    - #### Object obj

    - #### Object types

  - ### Constructor Detail

    - #### ObjectInspector(Object obj)

  - ### Method Detail

    - #### List<Map<String, String>> metaMethods()

    - #### List<Map<String, String>> metaMethods(boolean includeOperatorMethods)

    - #### List<Map<String, String>> methods()

    - #### Object properties()